var suitehelp = {};
suitehelp.contexts={"5001045":"GUID-4509105E-8A54-43B8-859F-FAA766099F37.html","5001053":"GUID-F6BC9ACD-7C02-428A-BAA4-DAD841CAA161.html","5001000":"GUID-871C5FE3-26E7-4F84-A8AA-CFBC2030A14B.html","5001044":"GUID-427011B0-CB76-44C0-9B9D-62233DC9C846.html","5001050":"GUID-C6DE3A34-2E81-4335-B06D-530155B18ABA.html","5001049":"GUID-D997D316-2686-413F-9417-4A52F37754CA.html","5001051":"GUID-8273A83E-5A19-4BFB-8732-5ABF2D09EA34.html","5001048":"GUID-6D527FBA-DFC6-43E6-AD19-A8E3A3526DFE.html","5001037":"GUID-A18A2E86-92DB-4E65-BE3F-64BA3AD8B76F.html","5001054":"GUID-A63A87CF-1923-4971-B338-B317F5AF51D6.html"};
// Check for a context-sensitive link and redirect if present (and valid)
suitehelp.checkContext = function () {
    "use strict";

    var context = suitehelp.contexts[suitehelp.getQueryString("context")],
        adjustedQS =  window.location.search.substring(1).replace(/context=[^&]+&|(&|^)context=[^&]+/, "");
    if (context) {
        if (adjustedQS) {
       
            document.location =  document.getElementsByTagName("head")[0].getAttribute("data-approot") + context + "?" + adjustedQS;
        } else {
            document.location =  document.getElementsByTagName("head")[0].getAttribute("data-approot") + context;
        }
    }

};

// Lookup a query string variable
suitehelp.getQueryString = function (key) {
    "use strict";

    if (!suitehelp.queryString) {
        suitehelp.queryString = {};
        var query = window.location.search.substring(1),
            vars = query.split("&"),
            i,
            pair;
        for (i = 0; i < vars.length; i += 1) {
            pair = vars[i].split("=");
            suitehelp.queryString[pair[0]] = unescape(pair[1]);
        }
    }

    return suitehelp.queryString[key];
};

suitehelp.checkContext();